package internal

import (
	"log/slog"
	"net/http"
)

func addRoutes(mux *http.ServeMux,
	logger *slog.Logger,
	config *Config,
	//tenantStore *TenantStore

) http.Handler {
	// mux.Handle("/api/v1/", handleTenantsGet(logger, tenantsStore))
	// mux.Handle("/oauth2/", handleOAuth2Proxy(logger, authProxy))
	mux.Handle("/something", handleSomething(logger, config))
	mux.Handle("/healthz", handleHealthzPlease(logger))
	mux.Handle("/", http.NotFoundHandler())
	return mux
}
